Text (Axis API)
Keywords: org.apache.axis.message.Text class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class Text

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.Text

All Implemented Interfaces:
  org.w3c.dom.CharacterData, java.lang.Cloneable, Node, org.w3c.dom.Node, java.io.Serializable, Text, org.w3c.dom.Text

Direct Known Subclasses:
  CDATAImpl, CommentImpl

public class Text
extends NodeImpl
implements Text

A representation of a node whose value is text. A `Text` object may represent text that is content or text that is a comment.

Author:
  Davanum Srinivas (dims@yahoo.com), Heejune Ahn (cityboy@tmax.co.kr)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.message.NodeImpl
`_isDirty, attributes, children, document, log, name, namespaceURI, parent, prefix, textRep`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`Text()`
`Text(org.w3c.dom.CharacterData data)`
`Text(java.lang.String s)`

Method Summary
`void` | `appendData(java.lang.String arg)`
`void` | `deleteData(int offset, int count)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getData()`
`int` | `getLength()`
`java.lang.String` | `getNodeValue()` Implementation of DOM TEXT Interface *************************************************************
`int` | `hashCode()`
`void` | `insertData(int offset, java.lang.String arg)`
`boolean` | `isComment()` Retrieves whether this `Text` object represents a comment.
`void` | `replaceData(int offset, int count, java.lang.String arg)`
`void` | `setData(java.lang.String data)`
`void` | `setNodeValue(java.lang.String nodeValue)` The value of this node, depending on its type; see the table above.
`org.w3c.dom.Text` | `splitText(int offset)` Use the textRep, and convert it to org.apache.axis.Text in order to keep the Axis SOAP strcture after operation This work would be easier if constructor, Text(org.w3c.dom.Text) is defined
`java.lang.String` | `substringData(int offset, int count)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.axis.message.NodeImpl
`appendChild, cloneNode, convertAttrSAXtoDOM, detachNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParent, getParentElement, getParentNode, getPrefix, getPreviousSibling, getValue, hasAttributes, hasChildNodes, initializeChildren, insertBefore, isDirty, isSupported, makeAttributesEditable, normalize, output, recycleNode, removeChild, replaceChild, reset, setDirty, setDirty, setOwnerDocument, setParent, setParentElement, setPrefix, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Constructor Detail

### Text

    public Text(org.w3c.dom.CharacterData data)

### Text

    public Text(java.lang.String s)

### Text

    public Text()

Method Detail

### isComment

    public boolean isComment()

  Retrieves whether this `Text` object represents a comment.

  Specified by:
    `isComment` in interface `Text`
  Returns:
    `true` if this `Text` object is a comment; `false` otherwise

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Implementation of DOM TEXT Interface *************************************************************

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  Description copied from class: `NodeImpl`
  The value of this node, depending on its type; see the table above. When it is defined to be `null`, setting it has no effect.

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `setNodeValue` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### splitText

    public org.w3c.dom.Text splitText(int offset)
                               throws org.w3c.dom.DOMException

  Use the textRep, and convert it to org.apache.axis.Text in order to keep the Axis SOAP strcture after operation This work would be easier if constructor, Text(org.w3c.dom.Text) is defined

  Specified by:
    `splitText` in interface `org.w3c.dom.Text`
  Parameters:
    `offset` -
  Returns:
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    SAAJ 1.2

### getData

    public java.lang.String getData()
                             throws org.w3c.dom.DOMException

  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    SAAJ 1.2

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    SAAJ 1.2

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.CharacterData`
  Returns:
  Since:
    SAAJ 1.2

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws org.w3c.dom.DOMException

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` -
    `count` -
  Returns:
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    SAAJ 1.2

### appendData

    public void appendData(java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `arg` -
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    SAAJ 1.2

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` -
    `arg` -
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    SAAJ 1.2

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws org.w3c.dom.DOMException

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` -
    `count` -
    `arg` -
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    SAAJ 1.2

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws org.w3c.dom.DOMException

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` -
    `count` -
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    SAAJ 1.2

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.